会话文件中未找到Exec行:xgl。

为当前最终发行版之前的所有版本提供支持
回复
shada
帖子: 397
注册时间: 2006-09-27 11:17
送出感谢: 1 次
接收感谢: 3 次
联系:

会话文件中未找到Exec行:xgl。

#1

帖子 shada » 2007-05-27 14:25

登录时,更改会话为xgl.desktop,输入用户名和密码,
然后就硼出一个对话框:

会话文件中未找到Exec行:xgl。
将为您尝试Gnome安全模式会话。


请问这个错误是出自哪个脚本?
如何更正。

我在装xgl
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#2

帖子 依寻依然 » 2007-05-27 14:33

在/usr/share/xsessions/xgl.desktop
有的话,贴出您的这个文件
e.g.

代码: 全选

[Desktop Entry]
Encoding=UTF-8
Name=GNOME with XGL
Comment=
Exec=/usr/local/bin/startxgl.sh
Icon=
Type=Application 
这个执行脚本/usr/local/bin/startxgl.sh是否完好?
而且这个脚本和xgl.desktop是不是有可执行权限?[/code]
Borders are meant to be crossed
shada
帖子: 397
注册时间: 2006-09-27 11:17
送出感谢: 1 次
接收感谢: 3 次
联系:

#3

帖子 shada » 2007-05-27 16:31

在/usr/share/xsessions/xgl.desktop(没有执行权限)中的内容是:
[Desktop Entry]
Encoding=UTF-8
Name=Xgl
Comment=Start an Xgl Session
Exec=/usr/bin/startxgl
Icon=
Type=Application


/usr/bin/startxgl中的内容是,有执行权限(u,g,o):
#!/bin/sh
/usr/bin/Xgl :0 -fullscreen -ac -accel xv:pbuffer -accel glx:pbuffer &
DISPLAY=:0
cookie="$(xauth -i nextract - :0 | cut -d ' ' -f 9)"
xauth -i add :0 . "$cookie"
exec dbus-launch --exit-with-session startkde

/usr/bin/Xgl也有执行权限(u,g,o)
vcfvct
帖子: 7
注册时间: 2007-10-15 16:35
送出感谢: 0
接收感谢: 0

#4

帖子 vcfvct » 2007-11-07 22:55

我也遇到了同样的问题。。。请问如何解决???
回复

回到 “老旧版本支持”